Subject: Re: [PATCH] Replace perl code with pure shell code

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 29 Jan 2007 04:28:16 -0500

Simon 'corecode' Schubert <[email-masked]> wrote:
> I already wondered.  What's those ^{} tags, and why is CLONE_HEAD littered 
> with them?

They are the deref of the thing without them.

As in, "foo" is a tag pointing at some object (probably a commit
but not necessarily) then "foo^{}" is whatever "foo"'s tag points at.
 
> +		case "$name" in
> +		*^{*)
> +			continue ;;

Probably could just be:

		case "$name" in
		*^{})
			continue ;;

This is common in Git.  ^{} on the end of a ref name shows up in
the peek-remote/ls-remote output, but certainly is *not* a ref.

Sorry I missed that case eariler when I reviewed the patch. I thought
about it and why it wasn't handled here, but then thought maybe it
wasn't actually occuring in the input (that someone else higher up
had filtered them out).

-- 
Shawn.